package _VisualDVM.Visual.Windows;
import _VisualDVM.Global;
import _VisualDVM.GlobalData.Tasks.CompilationTask.CompilationTask;
public class CompilationTasksComparisonForm extends TasksComparisonForm<CompilationTask> {
    public CompilationTasksComparisonForm(ComparisonForm<CompilationTask> slave_in) {
        super(CompilationTask.class, slave_in);
    }
    @Override
    public Object getDefaultCurrentObject() {
        return Global.mainModule.getDb().compilationTasks.getUI().getCurrent();
    }
    @Override
    protected String getTextByTab() {
        switch (status) {
            case CompilationOutput:
                return object.getOutput();
            case CompilationErrors:
                return object.getErrors();
            default:
                return "";
        }
    }
    @Override
    protected TasksComparisonState[] getForbiddenStates() {
        return new TasksComparisonState[]{
                TasksComparisonState.RunOutput,
                TasksComparisonState.RunErrors,
                TasksComparisonState.Sts
        };
    }
}
